Author Topic: Compiling Orbiter for Vista  (Read 934 times)

yannko

  • Regular Poster
  • **
  • Posts: 22
    • View Profile
Compiling Orbiter for Vista
« on: October 07, 2008, 06:21:33 pm »
Hello everybody,

After having successfully compiled the Orbiter for WinXP, I'm facing new issues for Windows Vista.
When simply copying the compiled executable + the DLLs from the working Orbiter in WinXP directory, the program will start to run in Vista but not for a long time (after a few seconds, it crashes).
I didn't use any special settings for compiling, it uses standard settings (Win32 libraries).
Is there something to do to solve that? I was wondering about some SDK or Framework extensions, but any help would be very much appreciated!  :)

colinjones

  • Alumni
  • LinuxMCE God
  • *
  • Posts: 3003
    • View Profile
Re: Compiling Orbiter for Vista
« Reply #1 on: October 08, 2008, 12:46:57 am »
Can I ask, do you actually need to compile the Orbiter at all, meaning you want to be able to do dev work and re-compile at will? Or do you just want to run the Orbiter on a Vista machine? If the latter, are you aware that the standard Pluto Orbiter binary you can download from the admin site works just fine on Vista right now? If the former, sorry can't help you there, I've no idea!

yannko

  • Regular Poster
  • **
  • Posts: 22
    • View Profile
Re: Compiling Orbiter for Vista
« Reply #2 on: October 08, 2008, 11:18:22 am »
Thanks for your answer colinjones, actually yes it's the former that I need  :) I need to recompile it and try to make it work on Vista.
Actually, I realized one thing: the SDK binary (Orbiter_SDK) crashes on Vista when compiled in XP, but the PocketFrog binary works fine. If somebody has a clue of this behavior, it will be welcomed!